Submit a signed Hyperliquid sendAsset transfer
curl --request POST \
--url https://perps-api.vooi.io/exchange/hyperliquid/send-asset/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pendingData": {
"action": {
"amount": "<string>",
"destination": "0x1234567890abcdef1234567890abcdef12345678",
"fromSubAccount": "",
"hyperliquidChain": "Mainnet",
"nonce": 123,
"signatureChainId": "0xa4b1",
"token": "<string>",
"type": "sendAsset"
},
"destination": "0x1234567890abcdef1234567890abcdef12345678",
"nonce": 123
},
"signature": "0xabcdef..."
}
'import requests
url = "https://perps-api.vooi.io/exchange/hyperliquid/send-asset/execute"
payload = {
"pendingData": {
"action": {
"amount": "<string>",
"destination": "0x1234567890abcdef1234567890abcdef12345678",
"fromSubAccount": "",
"hyperliquidChain": "Mainnet",
"nonce": 123,
"signatureChainId": "0xa4b1",
"token": "<string>",
"type": "sendAsset"
},
"destination": "0x1234567890abcdef1234567890abcdef12345678",
"nonce": 123
},
"signature": "0xabcdef..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pendingData: {
action: {
amount: '<string>',
destination: '0x1234567890abcdef1234567890abcdef12345678',
fromSubAccount: '',
hyperliquidChain: 'Mainnet',
nonce: 123,
signatureChainId: '0xa4b1',
token: '<string>',
type: 'sendAsset'
},
destination: '0x1234567890abcdef1234567890abcdef12345678',
nonce: 123
},
signature: '0xabcdef...'
})
};
fetch('https://perps-api.vooi.io/exchange/hyperliquid/send-asset/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Exchange / Hyperliquid
Submit a signed Hyperliquid sendAsset transfer
POST
/
exchange
/
hyperliquid
/
send-asset
/
execute
Submit a signed Hyperliquid sendAsset transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - undefined